Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504812 - sys-devel/gcc - gcj: libgcj.spec: No such file or directory
Summary: sys-devel/gcc - gcj: libgcj.spec: No such file or directory
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2014-03-16 15:58 UTC by Georgi Georgiev
Modified: 2020-07-18 23:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georgi Georgiev 2014-03-16 15:58:03 UTC
I am trying to build app-text/pdftk and it fails with:

gcj: libgcj.spec: No such file or directory

It is odd that the libgcj.spec seems to only be installed in the 32-bit directory:

> cave contents sys-devel/gcc::installed | grep \\.spec$
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/32/libgcj.spec
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/32/libitm.spec
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/libitm.spec

My multilib profile may have something to do with this.
As a workaround I copied libgcj.spec from /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/32/libgcj.spec to /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3 and pdftk now builds just fine.

And here is how sys-devel/gcc is installed. I am using paludis, but you can see that "gcj" and "multilib" are enabled.

> cave show sys-devel/gcc::installed                                                                                                                                    
* sys-devel/gcc::installed
    ::installed               4.7.3-r1 {:4.7}
    sys-devel/gcc-4.7.3-r1:4.7::installed (system)
    Description               The GNU Compiler Collection
    Homepage                  http://gcc.gnu.org/
    From repositories         gentoo gg3-desktop-bin
    Installed time            Mon Mar 17 00:05:30 JST 2014
    Installed using           paludis-1.4.2
    License                   GPL-3+ LGPL-3+ || ( GPL-3+ libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.3+
    Use flags                 
        USE                   
            (-altivec)        
            (awt)             
            (cxx)             
            (-doc)            
            (-fixed-point)    
            (-fortran)        
            (gcj)             
            (-go)             
            (-graphite)       
            (-hardened)       
            (-libssp)         
            (-mudflap)        
            (multilib)        
            (-multislot)      
            (nls)             
            (-nopie)          
            (-nossp)          
            (nptl)            
            (-objc)           
            (-objc++)         
            (-objc-gc)        
            (-openmp)         
            (-regression-test) 
            (-vanilla)        
        Build Options         
            -trace            Trace actions executed by the package (very noisy, for debugging broken builds only)
Comment 1 Georgi Georgiev 2014-04-24 10:58:44 UTC
I am pretty sure this is a problem with SYMLINK_LIB=no so let me add a blocker on 506276.
Comment 2 Andreas K. Hüttel gentoo-dev 2017-12-09 18:16:10 UTC
gcc-4.7 is masked.
Comment 3 Nuno Silva 2020-06-22 15:22:56 UTC
I can reproduce this with gcc-6.5.0-r1.
Comment 4 Sergei Trofimovich gentoo-dev 2020-06-24 07:58:16 UTC
(In reply to Nuno Silva from comment #3)
> I can reproduce this with gcc-6.5.0-r1.

Can you upload your gcc build log?
Comment 5 Nuno Silva 2020-07-14 11:01:05 UTC
It takes 1h45m to compile gcc 6.5 here, so I have been putting this (generating a build log) off.

Symlinking libgcj.spec (so a variant of the workaround above for 4.7.3) is enough to make gcj work:

lrwxrwxrwx 1 root root 14 Jun 20 19:41 /usr/lib/gcc/x86_64-pc-linux-gnu/6.5.0/libgcj.spec -> 32/libgcj.spec
Comment 6 Sergei Trofimovich gentoo-dev 2020-07-14 21:31:09 UTC
Let's reopen it. The spec path looks broken. I'll have a look.
Comment 7 Larry the Git Cow gentoo-dev 2020-07-14 23:23:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=7b3aef40645e579e28c5ad34d566097aa44f4416

commit 7b3aef40645e579e28c5ad34d566097aa44f4416
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-07-14 23:22:56 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-07-14 23:22:56 +0000

    6.5.0: install libgcj.spec into multilib directory
    
    Reported-by: Georgi Georgiev
    Bug: https://bugs.gentoo.org/504812
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 6.5.0/gentoo/28_all_libjava-multilib.patch | 129 +++++++++++++++++++++++++++++
 6.5.0/gentoo/README.history                |   3 +
 2 files changed, 132 insertions(+)
Comment 8 Larry the Git Cow gentoo-dev 2020-07-15 07:03:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=50ac938516d2f714572c1c0c9cc05453f22fe0c4

commit 50ac938516d2f714572c1c0c9cc05453f22fe0c4
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-07-15 07:02:32 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-07-15 07:02:32 +0000

    6.5.0: cut 5 patchset
    
    Single new patch to handle libjava's multilib.
    
    Reported-by: Georgi Georgiev
    Bug: https://bugs.gentoo.org/504812
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 6.5.0/gentoo/README.history | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 9 Larry the Git Cow gentoo-dev 2020-07-15 07:08:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aaa60587cf1c5b961e17bcc25eabf6298d0d4634

commit aaa60587cf1c5b961e17bcc25eabf6298d0d4634
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-07-15 07:05:04 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-07-15 07:07:22 +0000

    sys-devel/gcc: 6.5.0: cut 5 patchset
    
    Single new patch to handle libjava's multilib.
    
    Reported-by: Georgi Georgiev
    Bug: https://bugs.gentoo.org/504812
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-devel/gcc/Manifest            |  1 +
 sys-devel/gcc/gcc-6.5.0-r3.ebuild | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)
Comment 10 Sergei Trofimovich gentoo-dev 2020-07-15 07:09:04 UTC
Should be fixed in sys-devel/gcc-6.5.0-r3.
Comment 11 Nuno Silva 2020-07-18 23:43:47 UTC
I've just compiled gcc-6.5.0-r3 here and it is indeed fixed, gcj now works out of the box. Thanks!